Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230164 - Review Request: rt73usb-firmware - Firmware for Ralink® RT2571W/RT2671 A/B/G network adaptors
Summary: Review Request: rt73usb-firmware - Firmware for Ralink® RT2571W/RT2671 A/B/G...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-26 22:39 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-02 10:52:46 UTC
lxtnow: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-02-26 22:39:47 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt71w-firmware.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt71w-firmware-1.8-2.kwizart.fc6.src.rpm
Description: Firmware for RT71 802.11 wireless devices 

This firmware allow using Ralink wireless device using the rt73usb module included since 2.6.21rc1 inside the linux kernel. It can also be used since 2.6.18 using the rt2x00 external module and older kernel can use rt73 legacy version... 

We should ask for proper redistribution permission, this firmware do not provides any documentation, it sould a least bundle permission for redistribution to be accepted on Fedora Extras...

Sending a mail to Ralink about this...
FE-LEGAL

Comment 1 Xavier Lamien 2007-02-27 01:31:12 UTC
review is coming ;-)

Comment 2 Xavier Lamien 2007-02-27 03:51:13 UTC
Just one thing:

 hardcoded path must not be use.

 use "%{_lib}/firmware" instead of "/lib/firmware"

Comment 3 Xavier Lamien 2007-02-27 04:05:44 UTC
typo: it's Hardcoded library path 

Comment 4 Xavier Lamien 2007-02-27 13:47:10 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License is Distributable
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum
OK - BuildRequires isn't required
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
+  - rpmlint output:
SRPM: E: hardcoded-library-path -> can be ignored
RPM : E: hardcoded-library-path -> can be ignored

OK - build in mock (FC-6 and FC-devel).
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version



Comment 5 Xavier Lamien 2007-02-27 14:33:34 UTC
Typo :

+  - licences and Doc are requesting

Comment 6 Bill Nottingham 2007-03-19 20:15:35 UTC
Source download link is invalid.

Comment 7 Nicolas Chauvet (kwizart) 2007-03-19 21:07:06 UTC
Updated link (changes from .com to .com.tw )
Fixed licence field

Spec URL:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt71w-firmware.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt71w-firmware-1.8-3.kwizart.fc6.src.rpm
Description: Firmware for RT71 802.11 wireless devices 

Comment 8 Till Maas 2007-07-30 15:09:17 UTC
It seems you forgot to block Fe-Legal and to assign this review.

Comment 9 Ivo van Doorn 2007-08-03 18:06:55 UTC
I have send a new mail to Ralink to ask them for legacl clearance for shipping 
the RT61 and RT73 firmware together with FC.
I have CC'ed Nicolas Chauvet, Bill Nottingham and John Linville.

First responce from Ralink seemed rather positive, so hopefully they will 
indeed a nice license to their firmware that allows redistribution.

Comment 10 Nicolas Chauvet (kwizart) 2007-08-16 12:44:52 UTC
Thx for your help Ivo!
I've received the Ralink license by mail, now i think we can re-distribute
Rakink's-firmware.

But from a packager point of view, I usually have to download files from a
public place...(so I can also take care of the timestamp, but this is a minor
problem)...

Actually, what could be better is to download the license from the Ralink website.
Or even better, to have it within the firmware archives...

Thx again from your help!

I will update the spec file (and drop dist tag)
Also, notting reminded me that firmware name is taken from the kernel module
which is used (rt73usb in this case, and rt61pci for rt61-firmware )
I will probably need to rename the spec file name, which was taken from the
archive name (rt71w-firmware) or taken from the chipset suffix rt2571w...





Comment 11 Nicolas Chauvet (kwizart) 2007-09-16 23:26:58 UTC
SRPM:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt73usb-firmware-1.8-4.src.rpm
SPEC:
http://kwizart.free.fr/fedora/6/testing/rt2x00-firmware/rt73usb-firmware.spec
Description: Firmware for Ralink® RT2571W/RT2671 A/B/G network adaptors

%changelog
- Disable dist tag
- Preserve timestamp
- Add license from Ralink
- Improved summary and description (taken from iwl4965-firmware scheme )

We can remove FE-Legal as the bundled firmware was provided!
(license is approved by Tom "spot" Callaway in #230161 )


Comment 12 Xavier Lamien 2007-09-21 14:27:07 UTC
Hello,

I'll check & finalize this next week ;)

Comment 13 Xavier Lamien 2007-09-26 13:47:08 UTC
ok,
this package can be approved.

Comment 14 Nicolas Chauvet (kwizart) 2007-09-26 13:54:41 UTC
New Package CVS Request
=======================
Package Name:      rt73usb-firmware
Short Description: Firmware for Ralink® RT2571W/RT2671 A/B/G network adaptors
Owners:            kwizart
Branches:          F-7
InitialCC:         <empty>
Commits by cvsextras: yes

Thx for the review

Comment 15 Kevin Fenzi 2007-09-26 16:42:50 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.